{ ... }:

{
  imports = [
    ./anubis.nix
    ./hardware-configuration.nix
    ./networking.nix
    ./reverseproxy.nix

  ];

  networking.hostName = "reverseproxy";
  boot.loader.grub.devices = [ "/dev/sda" ];

  crans = {
    enable = true;

    networking = {
      id = "51";
      srvNat.enable = true;
      srv = {
        enable = true;
        interface = "ens20";
        ipv4 = "185.230.79.42";
      };
    };

    resticClient.when = "03:42";

    services = {
      acme.enable = true;
    };
  };

  system.stateVersion = "25.05";
}
